package com.example.pruebapanta;

import android.app.Activity;
import android.app.AlertDialog;
import android.app.Dialog;
import android.app.DialogFragment;
import android.app.ProgressDialog;
import android.content.DialogInterface;
import android.media.AudioManager;
import android.media.ToneGenerator;
import android.os.Bundle;
import android.os.CountDownTimer;
import android.os.Handler;
import android.util.Log;
import android.view.View;
import android.widget.ProgressBar;
import android.widget.TextView;
import android.widget.Toast;

public class MainActivity extends Activity 
{
	AlertDialog alert;
	int tiempo;
	ProgressDialog MiDialogo;
	private CountDownTimer countDownTimer;
	private boolean timerHasStarted = false;
	
	private TextView miText;
	private ProgressBar miBarra;
	ToneGenerator toneG;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        
        miText=(TextView)findViewById(R.id.textView1);
        miBarra=(ProgressBar)findViewById(R.id.barra1);
        countDownTimer = new MyCountDownTimer(10000, 1);
        toneG = new ToneGenerator(AudioManager.STREAM_ALARM, 100);
        
    }
    
    public void FunBoton1(View view)
    {
    	toneG.startTone(ToneGenerator.TONE_DTMF_S, 700);
    	AlertDialog.Builder dialog = new AlertDialog.Builder(this);
		  dialog.setMessage("Pueba de diálogo");
		  dialog.setCancelable(false);
		  dialog.setPositiveButton("OK", new DialogInterface.OnClickListener() 
		  	{
	    	  public void onClick(DialogInterface dialog, int which)  
	    	  	{	    		 
	    		  dialog.dismiss();
	    		 }  			    	  
	    	});
	    	dialog.show(); 
    }
       
    public void FunBoton2(View view)
    {
    	final CharSequence[] items = {"Red1", "Red2", "Red3"}; 
    	AlertDialog.Builder builder = new AlertDialog.Builder(this);  
    	builder.setTitle("Selecciona adaptador");  
    	builder.setItems(items, new DialogInterface.OnClickListener() 
    		{      
    		public void onClick(DialogInterface dialog, int item) 
    			{          
    				Toast.makeText(getApplicationContext(), items[item], Toast.LENGTH_SHORT).show();      
    			}  
    	});  
    	AlertDialog alert = builder.create();  
    	alert.show();
    }
    
    
    public void FunBoton3(View view)
    {
    	final CharSequence[] items = {"Red", "Green", "Blue"};   	   
    	AlertDialog.Builder builder = new AlertDialog.Builder(this);  
    	builder.setTitle("Pick a color");  
    	builder.setSingleChoiceItems(items, -1, new DialogInterface.OnClickListener() 
    		{      
    		public void onClick(DialogInterface dialog, int item) 
    			{          
    				Toast.makeText(getApplicationContext(), items[item], Toast.LENGTH_SHORT).show(); 
    				alert.dismiss();
    			}  
    	});  
    	alert = builder.create(); 
    	alert.show();
    }
    
    public void FunBoton4(View view)
     {
    	final ProgressDialog MIdialog = ProgressDialog.show(MainActivity.this, "Dialogo","Espera 2 segundos...", true); 
    	new Thread() 
    		{
              public void run() 
              {
                try { sleep(2000);  }
                catch (Exception e)	{  }
                MIdialog.dismiss();
              }
            }.start();    	
     }
    
    public void FunBoton5(View view)
    {  	  
    	MiDialogo = new ProgressDialog(MainActivity.this);  
    	MiDialogo.setProgressStyle(ProgressDialog.STYLE_HORIZONTAL);  
    	MiDialogo.setMessage("Loading...");  
    	//MiDialogo.setCancelable(false);
    	MiDialogo.setCancelable(true);
    	MiDialogo.show();    	 		 
        MiDialogo.setProgress(25);   		 
    }
    
    public void FunBoton6(View view)
    {
    	if (!timerHasStarted) {
    			countDownTimer.start();
    			timerHasStarted = true;
    			miText.setText("STOP");
    		} else {
    			countDownTimer.cancel();
    			timerHasStarted = false;
    			miText.setText("RESTART");
    		}
    }
       
    //Cuenta atras
    public class MyCountDownTimer extends CountDownTimer {
    	public MyCountDownTimer(long startTime, long interval) 
    			{
    		   		super(startTime, interval);
    			}		 
    		  @Override
    	public void onFinish() {
    			  miText.setText("Cuenta terminada!");
    			  toneG.startTone(ToneGenerator.TONE_DTMF_S, 2000);
    		  }
    		  @Override
    	public void onTick(long millisUntilFinished) 
    		  {
    			 int i;
    			  miText.setText( " " + millisUntilFinished/100 );
    			  i=(int)millisUntilFinished ; 
    			  i/=100;
    			  miBarra.setProgress(i);
    		  }
    		 }
    
}


